[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# HookSignal

Hook a specified signal

## Declaration

Source position: sysutils.pp line 80

`procedure HookSignal(`
`RtlSigNum: Integer`
`);`

## Description

HookSignal installs the RTL default signal handler for signal RtlSigNum. It does not check whether the signal is already handled, and should therefor only be called if InquireSignal returns ssNotHooked.